/*
  Scroll text 
  for ikkeiplexing shield
  and 8x16duino Tichaino
  Copyright ikkei 2012.2.29
  
*/

#include <ikkeiplexing.h>
#include "iFont.h"

ikkeiplexing iLedSign;
iFont iFont;

void setup(){
  iLedSign.Init(DOMINODUINO, SINGLE_BUFFER);
}


void loop(){
  const unsigned char text[]="Hello world!  \xCA\xDB\xB0\xDC\xB0\xD9\xC4\xDE! \xEA\xFB\xB0\xFC\xB0\xF9\xE4\xDE! \x81\x83\x84\x80   ";

  uint8_t d;
  int textsize = sizeof(text)/sizeof(text[0]);
  for(int16_t j=0;j<textsize;j++) {
    d = iFont.Width(text[j]);
    for(int i=0;i<=d;i++) {
      uint8_t data = iFont.Data(text[j],i);
      iLedSign.Vwrite(15, data);
      delay(80);
      iLedSign.ShiftLeft();
    }  
  }
}

